Текст при черчении

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Text and the translation is 82% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Rectangle.svg Rectangle Назад:
Далее: Dimension Draft Dimension.svg Arrow-right.svg

Draft Text.svg Текст

Расположение в меню
Черчение → Текст
Верстаки
Черчение, Архитектура
Быстрые клавиши
T E
Представлено в версии
0.7
См. также
Draft Label, Draft ShapeString

Описание

Инструмент Draft Text.svg Текст позволяет добавить в документ многострочную текстовую область в указанную точку. Он использует предварительно выбранный Draft Linestyle, установленный в Draft Tray.

Alternatively: To create a text label with a leader and an arrow use Draft Label. To create solid text or 3D letters use Draft ShapeString with Part Extrude.

Draft Text example.png

Для размещения текстового поля требуется одна точка

Warning: The texts created with version 0.18 are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.

Использование

Использование

  1. Нажмите кнопку Draft Text.svg Текст, или нажмите клавишу T, а затемE
  2. Укажите точку на трёхмерном виде или задайте координаты и нажмите кнопку Draft AddPoint.svg add point.
  3. Введите желаемый текст нажимая Enter между каждыми строками
  4. Дважды нажмите Enter для завершения.

Опции

  • Для указания координат вручную, введите число и нажимайте ENTER для перехода между координатами X, Y и Z. Вы можете нажать кнопку Draft AddPoint.svg добавить точку, когда у вас есть нужные значения для вставки точки.
  • Удерживайте Ctrl при размещении текста, чтобы принудительно установить привязку вашей точки в ближайшее место привязки, независимо от расстояния.
  • Нажмите Enter или ↓ Стрелка вниз, чтобы ввести новую строку текста.
  • Нажмите ↑ Стрелка вверх, чтобы отредактировать предыдущую строку текста.
  • Дважды нажмите Enter или ↓ Стрелка вниз, чтобы завершить редактирование текста.
  • Нажмите Esc или кнопку Close, чтобы прервать выполнение текущей команды.

Свойства

Данные

  • DataТекст: указывает содержимое текстового блока как список строк, каждый элемент списка, разделённый запятыми, показывает новую строку
  • DataПоложение: указывает базовую точку первой линии текстового блока.
  • ViewПоворот: указывает поворот базовой линии первой строки текстового блока.
  • ViewОсь поворота: указывает ось, используемую для поворота.

Вид

  • ViewРежим отображения: если это «3D текст», текст будет выровнен по осям сцены, изначально лежащим в плоскости XY; если это «2D-текст», текст всегда будет смотреть в камеру.
  • ViewШрифт: указывает шрифт для отображения текста. Может быть название шрифта, например "Arial", название стиля, например, "sans", "serif" или "mono", название семейства, например, "Arial,Helvetica,sans", или название со стилем, например "Arial:Bold". Если указанный шрифт не найден в системе, то будет использован основной.
  • ViewРазмер шрифта: указывает размер символов текста. Если текстовый объект создается в древе проекта, но текст не отображается, увеличивайте размер текста, пока он не станет видим.
  • ViewВыравнивание: указывает выравнивание текста налево, направо или по центру от базовой точки.
  • ViewМежстрочное расстояние: указывает расстояние между строк текста.

Сценарии

См. так же: Draft API и Основы скриптов FreeCAD.

Инструмент Текст может быть использован в макросах и из консоли Python следующими функциями:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Создать объект Text в point, определённой как FreeCAD.Vector.
  • stringlist это строка, или список строк, если это список, каждый элемент показывается в отдельной строке.
  • Если screen равен True, текст всегда ориентируется в направлении просмотра камеры, иначе выравнивается по осям сцены и лежит в плоскости XY.

The placement of the Text can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

The view properties of Text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Пример:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Draft Rectangle.svg Rectangle Назад:
Далее: Dimension Draft Dimension.svg Arrow-right.svg